"Przetestuj względną szybkość różnych alternatyw dla iteracji."

from timer2_runner import runner     # <===
repslist = list(range(10_000))

def forLoop():
    res = []
    for x in repslist:
        res.append(abs(x))
    return res

def listComp():
    return [abs(x) for x in repslist]

def mapCall():
    return list(map(abs, repslist))              # Wymuszenie wyników za pomocą list()

def genExpr():
    return list(abs(x) for x in repslist)        # Wymuszenie wyników za pomocą list()

def genFunc():
    def gen():
        for x in repslist:
            yield abs(x)
    return list(gen())                           # Wymuszenie wyników za pomocą list() 

runner(forLoop, listComp, mapCall, genExpr, genFunc)
